<template>
  <section>
    <PrismicRichText :field="slice.primary.title" />
  </section>
</template>

<script lang="ts">
import { TitleField } from '@prismicio/types'
import { getSliceComponentProps } from '@prismicio/vue/components'
import Vue from 'vue'
import { PrismicComputed, SliceComponentProps } from '~/types/prismicTypes'

type Primary = {
  title: TitleField
}

type Item = {}

type Methods = {}

type Props = {}

type Data = {}

export default Vue.extend<
  Data,
  Methods,
  PrismicComputed<Primary, Item, {}>,
  SliceComponentProps<Primary, Item, Data, Props>
>({
  name: 'ContentSlice',
  components: {},
  props: getSliceComponentProps(),
})
</script>

<style lang="css"></style>
